︠f131d0d2-3f0c-4aca-b542-88433b56164d︠
var('beta, rho, xi, mu, nu, sigma_b, sigma_m, sigma_n, K, L, Q');
M(mu, sigma, t) = exp(mu*t+sigma^2*t^2/2);
ssc=-M(beta,sigma_b,-xi)+M(beta,sigma_b,rho-1)*((K+L)*(rho+xi)-L*(1-M(nu,sigma_n,-(rho+xi)))/(1-M(nu,sigma_n,-1))+L*M(mu,sigma_m,1-(rho+xi)))+Q^2/2*(rho+xi)*(rho+xi-1)*M(beta,sigma_b,rho-2);
ssc
︡dd4ad19a-6f6d-4c28-bf8b-b61f7789d837︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\frac{1}{2} \\, {\\left(\\rho + \\xi - 1\\right)} {\\left(\\rho + \\xi\\right)} Q^{2} e^{\\left(\\frac{1}{2} \\, {\\left(\\rho - 2\\right)}^{2} \\sigma_{b}^{2} + {\\left(\\rho - 2\\right)} \\beta\\right)} + {\\left({\\left(\\rho + \\xi\\right)} {\\left(K + L\\right)} + L e^{\\left(\\frac{1}{2} \\, {\\left(\\rho + \\xi - 1\\right)}^{2} \\sigma_{m}^{2} - {\\left(\\rho + \\xi - 1\\right)} \\mu\\right)} - \\frac{{\\left(e^{\\left(\\frac{1}{2} \\, {\\left(\\rho + \\xi\\right)}^{2} \\sigma_{n}^{2} - {\\left(\\rho + \\xi\\right)} \\nu\\right)} - 1\\right)} L}{{\\left(e^{\\left(\\frac{1}{2} \\, \\sigma_{n}^{2} - \\nu\\right)} - 1\\right)}}\\right)} e^{\\left(\\frac{1}{2} \\, {\\left(\\rho - 1\\right)}^{2} \\sigma_{b}^{2} + {\\left(\\rho - 1\\right)} \\beta\\right)} - e^{\\left(\\frac{1}{2} \\, \\sigma_{b}^{2} \\xi^{2} - \\beta \\xi\\right)}</span>"}︡
︠c1aac621-e541-480c-93f8-53ff6e1b4fde︠
@interact
def rp(beta=5, sigma_b=1, mu=15, nu=0.3, K=0.1, L=0.1, Q=0.9):
    p = plot(ssc(xi=0.0, beta=beta, sigma_b=sigma_b, nu=nu, sigma_n=nu/5, mu=mu, sigma_m=mu/5, K=K, L=L, Q=Q), (rho,0,2));
    p.show(ymin=-1, ymax=1)
︡1cd83f3b-1add-4f64-ac52-66286309129a︡︡
︠36f45b20-5c9e-4c0c-b8c7-f6a1fbcf0c47︠
p = plot([ssc(xi=0.25, beta=bn, sigma_b=1, K=0.1, L=0.1, nu=0.3, sigma_n=0.06, mu=15, sigma_m=3, Q=0.9) for bn in [1,3,5,8,12]], (rho,0,2));
p.show(ymin=-1, ymax=1)
︡ec8a5700-43e1-4488-aace-a22cf7b54158︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠9ea9e75d-1496-4243-9752-8483cee7d9c1︠
p = plot([ssc(xi=0.25, beta=5, sigma_b=1, K=0.1, L=0.1, nu=0.3, sigma_n=0.06, mu=mn, sigma_m=3, Q=0.9) for mn in [5,10,15,20]], (rho,0,2));
p.show(ymin=-1, ymax=1)
︡e531c9ae-b572-4799-aad9-1d4f3ac00616︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠bbecb64b-4017-4db9-ae78-9a41f1185af2︠
p = plot([ssc(xi=0.25, beta=5, sigma_b=1, K=0.1, L=0.1, nu=nn, sigma_n=0.06, mu=15, sigma_m=3, Q=0.9) for nn in [0.1,0.3,0.6,0.9,1.2,2]], (rho,0,2));
p.show(ymin=-1, ymax=1)
︡13bf95ad-c9ea-450c-9d28-ddfa2a70b171︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠d0ca7b33-cfc5-4d54-a916-348332055f07︠
var('n, k');
R(n) = beta*(rho - n) + (rho - n)^2*sigma_b^2/2;
F(n) = k*(beta + (rho - n) * sigma_b^2);
ls = exp(-sigma_b^2*k^2/2)*(-cos(k *beta) + Q*exp(R(1))*(rho*cos(F(1)) - k*sin(F(1))) + Q^2/2*exp(R(2))* ((rho*(rho - 1) - k^2)*cos(F(2)) - k*(2*rho - 1)*sin(F(2)))) - k^2*Q^2/2*exp(R(2));
lt = L*exp(R(1))*((1 - exp(-nu + sigma_n^2/2))^(-1)*exp(-rho*nu + rho^2*sigma_n^2/2)*(cos(k*(nu - rho*sigma_n^2))* exp(-k^2*sigma_n^2/2) - 1) + exp((1 - rho)*mu + (1 -rho)^2*sigma_m^2/2)*(cos(k*(mu + (1 - rho)*sigma_m^2))*exp(-k^2 *sigma_m^2/2) - 1));
ll = ls+lt;

def spectrumu(beta=5, sigma_b=1, K=0.1, L=0.05, nu=0.5, sigma_n=0.1, mu=15, sigma_m=3, Q=0.7):
    rhou=find_root(ssc(xi=0, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q)==0, 0.9,1.5);
    print "rho = ", rhou ;
    u(k)=ll(xi=xi, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q, rho=rhou);
    return plot(u(k),(k,0,6))

def spectrum(beta=5, sigma_b=1, K=0.1, L=0.05, nu=0.5, sigma_n=0.1, mu=15, sigma_m=3, Q=0.7):
    try:
        rhol=find_root(ssc(xi=0, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q)==0, 0,1)
        rhou=find_root(ssc(xi=0, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q)==0, 0.9,2)
        print "rho = ", rhol, " , ",rhou 
        l(k)=ll(xi=xi, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q, rho=rhol)
        u(k)=ll(xi=xi, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q, rho=rhou)
        return plot([l(k),u(k)],(k,0,6))
    except RuntimeError:
        rhou=find_root(ssc(xi=0, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q)==0, 0,2);
        print "rho = ", rhou ;
        u(k)=ll(xi=xi, beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q, rho=rhou);
        plot(u(k),(k,0,6)).show()
    p = plot(ssc(xi=0, beta=beta, sigma_b=sigma_b, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, K=K, L=L, Q=Q), (rho,0,2));
    p.show(ymin=-1, ymax=1)
︡48c3507f-5ba0-407e-8ba5-2ccfcc4f265f︡︡
︠24408a2a-a5b8-456e-9413-643f52006669︠
spectrum(beta=5, sigma_b=1, K=0.1, L=0.01, nu=0.5, sigma_n=0.1, mu=15, sigma_m=3, Q=0.9)
︡e5067ca0-9b98-4198-a549-1860e606a927︡{"stdout": "rho =  0.614660720798  ,  1.37804000962"}︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠397b96ec-9023-4891-91cd-a60530093af9︠
@interact
def _(beta=5, sigma_b=1, K=0.1, L=0.05, nu=0.5, sigma_n=0.1, mu=15, sigma_m=3, Q=0.9):
    show(spectrum(beta=beta, sigma_b=sigma_b, K=K, L=L, nu=nu, sigma_n=sigma_n, mu=mu, sigma_m=sigma_m, Q=Q))
︡d33ed96d-2c0e-4d1d-a03d-3ed43d4a859f︡︡
︠a38b2631-b6d8-4124-8028-5678d1005dfci︠
%html
<h1>Damped solution</h1>
<p>We will now look at solutions that are scale-invariant but not time-independent. They take the form</p>
<p>$$u(x,t)=e^{-\rho x} f(x-\ln(t)/\xi)$$</p>
<p>for arbitrary function $f$. Substituting this Ansatz into the jump-growth equation (predation only to keep equations short) gives</p>
<p>$$\frac{e^{\xi r}}{\xi}\frac{df(r)}{dr}=\int dy\,s(y)\Big(e^{\rho y}f(r)f(r-y)+e^{-\xi y}f(r)f(r+y)-\int dz\,d(y,z)e^{\rho(y+z)+\xi z}f(r-z)f(r-y-z)\Big).$$</p>
<p>This is now an ordinary integro-differential equation for $f(r)$, but still difficult to solve in general. But a particular solution is given by</p>
<p>$$f(r)=f_0 e^{\xi r}.$$</p>
<p>This is a solution provided</p>
<p>$$1/f_0=\int dy\,s(y)\Big(e^{(\rho-\xi)y}+1-\int dz\,d(y,z)e^{(\rho-\xi)(y+z)}\Big).$$</p>
<p>In terms of $u$ this solution reads</p>
<p>$$u(x,t)=f_0e^{-(\rho-\xi)x}/t.$$</p>
<p>Note how the exponents $\rho$ and $\xi$ only appear in the combination $\hat{\rho}=\rho-\xi$.</p>
<p>To get a feel for the prefactor $f_0$ we can use $s(y)=s_0g_{\beta}(y)$ where $g_\beta$ is the Gaussian with mean $\beta$ and variance $\sigma_\beta^2$. We will also use $d(y,z)=\delta(z-\psi(y))$ where $\psi(y)=\log(1+Qe^{-y})$ and then we will expand to second order in $Qe^{-y}$. We can then write the equation for $f_0$ in terms of the moment generating function $M_\beta(a)=\exp(a\beta+a^2\sigma_\beta^2/2)$. This gives</p>
<p>$$1/f_0=s_0\Big(1-\hat{\rho}QM_\beta(\hat{\rho}-1)-\frac{\hat{\rho}(\hat{\rho}-1)}{2}Q^2M_\beta(\hat{\rho}-2)\Big).$$</p>
<p>This shows that, for $\hat{\rho}$ not too far from $1$,&nbsp; $f_0$ will be positive, as required.</p>

︡34982166-fa5a-4e8b-8526-3e9d5b7d3093︡{"html": "<h1>Damped solution</h1>\n<p>We will now look at solutions that are scale-invariant but not time-independent. They take the form</p>\n<p>$$u(x,t)=e^{-\\rho x} f(x-\\ln(t)/\\xi)$$</p>\n<p>for arbitrary function $f$. Substituting this Ansatz into the jump-growth equation (predation only to keep equations short) gives</p>\n<p>$$\\frac{e^{\\xi r}}{\\xi}\\frac{df(r)}{dr}=\\int dy\\,s(y)\\Big(e^{\\rho y}f(r)f(r-y)+e^{-\\xi y}f(r)f(r+y)-\\int dz\\,d(y,z)e^{\\rho(y+z)+\\xi z}f(r-z)f(r-y-z)\\Big).$$</p>\n<p>This is now an ordinary integro-differential equation for $f(r)$, but still difficult to solve in general. But a particular solution is given by</p>\n<p>$$f(r)=f_0 e^{\\xi r}.$$</p>\n<p>This is a solution provided</p>\n<p>$$1/f_0=\\int dy\\,s(y)\\Big(e^{(\\rho-\\xi)y}+1-\\int dz\\,d(y,z)e^{(\\rho-\\xi)(y+z)}\\Big).$$</p>\n<p>In terms of $u$ this solution reads</p>\n<p>$$u(x,t)=f_0e^{-(\\rho-\\xi)x}/t.$$</p>\n<p>Note how the exponents $\\rho$ and $\\xi$ only appear in the combination $\\hat{\\rho}=\\rho-\\xi$.</p>\n<p>To get a feel for the prefactor $f_0$ we can use $s(y)=s_0g_{\\beta}(y)$ where $g_\\beta$ is the Gaussian with mean $\\beta$ and variance $\\sigma_\\beta^2$. We will also use $d(y,z)=\\delta(z-\\psi(y))$ where $\\psi(y)=\\log(1+Qe^{-y})$ and then we will expand to second order in $Qe^{-y}$. We can then write the equation for $f_0$ in terms of the moment generating function $M_\\beta(a)=\\exp(a\\beta+a^2\\sigma_\\beta^2/2)$. This gives</p>\n<p>$$1/f_0=s_0\\Big(1-\\hat{\\rho}QM_\\beta(\\hat{\\rho}-1)-\\frac{\\hat{\\rho}(\\hat{\\rho}-1)}{2}Q^2M_\\beta(\\hat{\\rho}-2)\\Big).$$</p>\n<p>This shows that, for $\\hat{\\rho}$ not too far from $1$,&nbsp; $f_0$ will be positive, as required.</p>"}︡
